import com.imsl.math.*;

public class QuadratureEx3 {
    public static void main(String args[]) {
        Quadrature.Function fcn = new Quadrature.Function() {
            public double f(double x) {
                return x / (4*Math.exp(x)+9*Math.exp(-x));
            }
        };
        
        Quadrature q = new Quadrature();
        double result = q.eval(fcn, Double.NEGATIVE_INFINITY,
        Double.POSITIVE_INFINITY);
        
        double expect = Math.PI*Math.log(1.5)/12.;
        System.out.println("result = "+result);
        System.out.println("expect = "+expect);
    }
}
